## org.apache.commons.math.ode.jacobians
Class FirstOrderIntegratorWithJacobians.MappingWrapper

    java.lang.Object
      org.apache.commons.math.ode.jacobians.FirstOrderIntegratorWithJacobians.MappingWrapper

All Implemented Interfaces:
  FirstOrderDifferentialEquations

Enclosing class:
  FirstOrderIntegratorWithJacobians

    private class FirstOrderIntegratorWithJacobians.MappingWrapper

extends java.lang.Object
implements FirstOrderDifferentialEquations

Wrapper class used to map state and jacobians into compound state.

Field Summary
`private double[][]` `dFdP` Derivatives of yDot with respect to parameters.
`private double[][]` `dFdY` Derivatives of yDot with respect to state.
`private double[]` `y` Current state.
`private double[]` `yDot` Time derivative of the current state.

Constructor Summary
`FirstOrderIntegratorWithJacobians.MappingWrapper()` Simple constructor.

Method Summary
`void` `computeDerivatives(double t, double[] z, double[] zDot)` Get the current time derivative of the state vector.
`int` `getDimension()` Get the dimension of the problem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### y

    private final double[] y

  Current state.

### yDot

    private final double[] yDot

  Time derivative of the current state.

### dFdY

    private final double[][] dFdY

  Derivatives of yDot with respect to state.

### dFdP

    private final double[][] dFdP

  Derivatives of yDot with respect to parameters.

Constructor Detail

### FirstOrderIntegratorWithJacobians.MappingWrapper

    public FirstOrderIntegratorWithJacobians.MappingWrapper()

  Simple constructor.

Method Detail

### getDimension

    public int getDimension()

  Get the dimension of the problem.

  Specified by:
    `getDimension` in interface `FirstOrderDifferentialEquations`
  Returns:
    dimension of the problem

### computeDerivatives

    public void computeDerivatives(double t,
                                   double[] z,
                                   double[] zDot)
                            throws DerivativeException

  Get the current time derivative of the state vector.

  Specified by:
    `computeDerivatives` in interface `FirstOrderDifferentialEquations`
  Parameters:
    `t` - current value of the independent time variable
    `z` - array containing the current value of the state vector
    `zDot` - placeholder array where to put the time derivative of the state vector
  Throws:
    `DerivativeException` - this exception is propagated to the caller if the underlying user function triggers one

Copyright (c) 2003-2010 Apache Software Foundation